GetHostnameResolutions

GetHostnameResolutions returns all addresses resolved to by a given hostname over a specified range, including observation details such as first/last seen time, observation count, etc. This includes all DNS record types (A, AAAA, MX).

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Required. hostname is the hostname in canonical format (e.g., "www.google.com", "example.org"). Will be normalized and reversed internally for storage lookup.

Query Params
date-time

Optional. Inclusive start of the interval.

If specified, a Timestamp matching this interval will have to be the same or after the start.

date-time

Optional. Exclusive end of the interval.

If specified, a Timestamp matching this interval will have to be before the end.

recordTypes
array of strings

record_types filters by specific DNS record types. If unset, will not filter results.

recordTypes
string
enum

record_type constrains results to a specific DNS record, overwriting record_types if set in the request path.

Allowed:
boolean

Optional. inlcude_errors is true if DNS error responses (NXDOMAIN, SERVFAIL, etc.) are to be included. Default: false (only successful NOERROR responses)

Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json